Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-24517

Remove temporary QDeclarative support from qtbase

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 5.0.0
    • Component/s: Build tools: moc
    • Labels:
      None
    • Technical Risk:
      Normal
    • Commits:
      5bb1408927b4eb5a03e8ab9f7cbc68f80d8a3962,6225e3ba01ef918724a15dd1311ab5d8205be534

      Description

      The following changes were integrated into the api_changes branch of qtbase, in order to facilitate the creation of backward compatibility support in the qtdeclarative module:
      http://codereview.qt-project.org/17302
      http://codereview.qt-project.org/17303

      These changes should be removed once the projects depending on the declarative module have had an opportunity to update to use the new interfaces.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              mvogt Matthew Vogt (closed Nokia identity) (Inactive)
              Reporter:
              mvogt Matthew Vogt (closed Nokia identity) (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes